{
  "schema_version": "1.4.0",
  "id": "GHSA-jg85-fhqf-2gfw",
  "modified": "2022-05-14T02:16:58Z",
  "published": "2022-05-14T02:16:57Z",
  "aliases": [
    "CVE-2017-1000363"
  ],
  "details": "Linux drivers/char/lp.c Out-of-Bounds Write. Due to a missing bounds check, and the fact that parport_ptr integer is static, a 'secure boot' kernel command line adversary (can happen due to bootloader vulns, e.g. Google Nexus 6's CVE-2016-10277, where due to a vulnerability the adversary has partial control over the command line) can overflow the parport_nr array in the following code, by appending many (>LP_NO) 'lp=none' arguments to the command line.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-1000363"
    },
    {
      "type": "WEB",
      "url": "https://alephsecurity.com/vulns/aleph-2017023"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3945"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/98651"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-787"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-07-17T13:18:00Z"
  }
}